# Site
site_name: Capt’n python client
site_url: https://captn.ai
site_author: Capt’n.ai
site_description: >-
  Capt’n python client
  
# Repository
# repo_name: captn-client
# repo_url: https://gitlab.com/airt.ai/captn/captn-client
# edit_uri: ""

copyright: Copyright &copy; <a href="https://captn.ai" target="_blank">Capt’n.ai</a>

plugins:
- search
- with-pdf:
    cover_subtitle: Documentation
    output_path: pdf/captn-client-documentation.pdf
- mkdocstrings:
    default_handler: python
    handlers:
      python:
        selection:
            inherited_members: true
        rendering:
            show_root_heading: true
            show_source: false
            heading_level: 2
- literate-nav:
    nav_file: SUMMARY.md
                
markdown_extensions:
  - pymdownx.inlinehilite
  - pymdownx.highlight:
        linenums: false
  - admonition
  - pymdownx.details
  - pymdownx.superfences
theme:
  name: material
  custom_dir: overrides
  features:
    - navigation.instant
    - navigation.tabs
    - navigation.tabs.sticky
#     - navigation.sections
    - navigation.expand
    - navigation.indexes
    - navigation.top
#     - toc.integrates
    - search.suggest
    - search.highlight
    - search.share
  palette:
    - scheme: captnd
      toggle:
        icon: material/toggle-switch
        name: Switch to light mode
    - scheme: captnl
      toggle:
        icon: material/toggle-switch-off-outline
        name: Switch to dark mode
#   icon:
#     repo: fontawesome/brands/gitlab
#     logo: material/compass-outline
#     admonition:
#         <type>: <icon> 
  favicon: images/favicon.ico
  logo: images/logo.png
    
extra_css:
  - stylesheets/extra.css

extra_javascript:
  - javascripts/extra.js

extra:
  analytics:
    provider: google
    property: G-Y86HWXWH1R